> For the complete documentation index, see [llms.txt](https://docs.superseek.ai/home/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.superseek.ai/home/api-documentation/answer-rating-api.md).

# Answer Rating API

The Answer Rating API is useful for tracking quality metrics related to the bot's responses. Use this endpoint to enable users to rate answers (good or bad) and track it in your inbox.

<mark style="color:green;">`POST`</mark> `https://admin.superseek.ai/answer-rating`

Use this endpoint to enable users to rate answers (good or bad) and track it in your inbox.

#### Request Body

| Name                                         | Type   | Description                                              |
| -------------------------------------------- | ------ | -------------------------------------------------------- |
| api\_key<mark style="color:red;">\*</mark>   | String | API key of the account                                   |
| bot\_id<mark style="color:red;">\*</mark>    | Number | Unique identifier of the bot                             |
| answer\_id<mark style="color:red;">\*</mark> | String | The unique identifier of each answer provided by the bot |
| rating<mark style="color:red;">\*</mark>     | Number | Pass 1 for a good rating and -1 for a bad rating         |

{% tabs %}
{% tab title="200: OK Successful Response" %}
{% code overflow="wrap" %}

```json
{
    "chat": [
        {
            "role": "user",
            "question": "What is Superseek?",
            "timeStamp": "Mon Jan 8 2024 12:53:11 UTC"
        },
        {
            "role": "bot",
            "result": {
                "text": "Superseek is a platform to create custom AI assistants.",
                "ref": [
                    {
                        "url": "https://superseek.ai",
                        "title": "Superseek: Create AI assistants"
                    }
                ],
                "urlPresent": true
            },
            "fallback": false,
            "timeStamp": "Mon Jan 8 2024 12:53:11 UTC",
            "like": true,
            "dislike": false
        }
    ],
    "rating": "1"
}
```

{% endcode %}
{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.superseek.ai/home/api-documentation/answer-rating-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
